## org.apache.fop.fo
Class EnumProperty

    java.lang.Object
      |
      +--org.apache.fop.fo.Property
            |
            +--org.apache.fop.fo.EnumProperty

public class EnumProperty
extends Property

Inner Class Summary
`static class` `EnumProperty.Maker`

Inner classes inherited from class org.apache.fop.fo.Property
`Property.Maker`

Constructor Summary
`EnumProperty(int explicitValue)`

Method Summary
`int` `getEnum()`
`java.lang.Object` `getObject()`

Methods inherited from class org.apache.fop.fo.Property
`getCharacter, getColorType, getCondLength, getKeep, getLength, getLengthRange, getNCname, getNumber, getNumeric, getSpace, getSpecifiedValue, getString, setSpecifiedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnumProperty

    public EnumProperty(int explicitValue)

Method Detail

### getEnum

    public int getEnum()

  Overrides:
    getEnum in class Property

### getObject

    public java.lang.Object getObject()

  Overrides:
    getObject in class Property

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.